Search and DownloadsGet a Download

Get a Download

Retrieve information about a specific download by its ID.

curl -X GET "https://api.datafiniti.co/v4/downloads/example_string" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "id": "example_string",
  "status": "queued",
  "num_records": 42,
  "results": [
    {
      "url": "example_string"
    }
  ],
  "created_at": "2024-12-25T10:00:00Z"
}
GET
/downloads/{id}
GET
Bearer Token
Bearer Tokenstring
Required

Bearer token obtained from the /auth endpoint. Include in requests as: Authorization: Bearer <token>

Bearer token obtained from the /auth endpoint. Include in requests as: Authorization: Bearer <token>
path
idstring
Required

The unique identifier of the download

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Bearer token obtained from the /auth endpoint. Include in requests as: Authorization: Bearer <token>

Path Parameters

idstring
Required

The unique identifier of the download

Responses

idstring

Unique download identifier

statusstring

Current status of the download

Allowed values:queuedin_progresscompletedcancelled
num_recordsinteger

Number of records in the download

resultsarray

Array of download result file links

created_atstring

Timestamp when the download was created

This will retrieve information about one download.

Requesting a download from this endpoint will not actually start downloading the data to your computer. It will simply return a JSON object describing the download. Links to the actual files which make up your download can be found in the results field.